Subject: Re: bug#10895: Quirky behaviours with Arabic text

From: sergei karhof <[email-masked]>
Date: Thu, 1 Mar 2012 11:27:40 +0100

>> What I suspect is that Emacs is doing more in terms of supporting
>> Arabic than the uniscribe shaping engine expects.
>
> Like what, for example?
>
> Does anyone know of a good treatise for Arabic shaping with Uniscribe?

I don't know much about these technical matters (I am just an
end-user), but I would like to point out that as for 'shaping' the
letters (if I understand correctly what it means), it is no issue at
all, because the letters AND the vowel marks are shaped correctly. The
problem is that the vowel marks are not displayed where they should,
that they are out of synch, and that there is not enough vertical
space to contain all the vowel marks.
So I guess that the underlying rendering engine might not be the
problem; maybe it's just the way the whole thing is implemented.

sergei